// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Hero from './'

const items = [
  {
    question: 'What about question 01?',
    answer: 'Question 01 is good',
  },
  {
    question: 'What about question 02?',
    answer: 'Question 02 is good',
  },
  {
    question: 'What about question 03?',
    answer: 'Question 03 is good',
  },
]

const theme = {
  item: 'mv2 ba b--light-gray',
  icon: 'mh2 is-small',
  question: 'bg-gray white pa1',
  answer: 'pa1',
}

storiesOf('FAQ', module)
  .add('default', () => (
    <Hero className="pa2" items={items} theme={theme} />
  ))
