'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Logo = function Logo(_ref) {
  var children = _ref.children,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'span',
    {
      'data-component': 'Logo',
      className: (0, _classnames2.default)(className, theme.root)
    },
    children
  );
};

Logo.defaultProps = {
  className: undefined,
  children: null
};

exports.default = (0, _reactCssThemr.themr)('Logo', {}, { composeTheme: 'softly' })(Logo);