'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactGoogleMaps = require('react-google-maps');

var _AsyncMap = require('../AsyncMap');

var _AsyncMap2 = _interopRequireDefault(_AsyncMap);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SimpleMap = function SimpleMap(_ref) {
  var center = _ref.center,
      markers = _ref.markers,
      defaultZoom = _ref.defaultZoom;
  return _react2.default.createElement(
    _AsyncMap2.default,
    {
      googleMapURL: 'https://maps.googleapis.com/maps/api/js?v=3.exp&libraries=geometry,drawing,places&key=AIzaSyA28KsfUooJBCwkwR-rBPu5uMwQ2g9U3LM',
      defaultCenter: center,
      defaultZoom: defaultZoom,
      loadingElement: _react2.default.createElement(
        'div',
        { className: 'w-100 h-100 flex items-center justify-center' },
        'Loading...'
      ),
      containerElement: _react2.default.createElement('div', { className: 'w-100 h-100' }),
      mapElement: _react2.default.createElement('div', { className: 'w-100 h-100' })
    },
    markers && markers.map(function (marker) {
      return _react2.default.createElement(_reactGoogleMaps.Marker, marker);
    })
  );
};

SimpleMap.defaultProps = {
  defaultZoom: 12
};

exports.default = SimpleMap;