// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import HorizontalList, { defaultStyles } from './'
import { data } from '../../sample-data/items.yml'

storiesOf('HorizontalList', module)
  .add('default', () => (
    <HorizontalList
      className="flex flex-wrap"
      data={data}
      theme={defaultStyles}
    />
  ))
