// @flow

import React from 'react'
import cn from 'classnames'

const Icon = ({ name, className, ...props }: { name: string, className?: string }) => (
  <span className={className} {...props}>
    <i className={cn('fa', name)} />
  </span>
)

Icon.defaultProps = {
  className: undefined,
}

export default Icon
